---
title: llarp::layers::platform::PlatformAddrRange

---

# llarp::layers::platform::PlatformAddrRange





## Public Functions

|                | Name           |
| -------------- | -------------- |
| [IPRange](Classes/structllarp_1_1IPRange.md) | **[to_ip_range](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-to-ip-range)**() const |
| | **[PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-platformaddrrange)**() =default |
| constexpr | **[PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-platformaddrrange)**([PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) _lo, [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) _hi) |
| | **[PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-platformaddrrange)**([IPRange](Classes/structllarp_1_1IPRange.md) range) |
| bool | **[operator==](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-operator==)**(const [PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md) & other) const |
| bool | **[operator!=](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#function-operator!=)**(const [PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md) & other) const |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[lo](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#variable-lo)**  |
| [PlatformAddr](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddr.md) | **[hi](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md#variable-hi)**  |

## Public Functions Documentation

### function to_ip_range

```cpp
IPRange to_ip_range() const
```


### function PlatformAddrRange

```cpp
PlatformAddrRange() =default
```


### function PlatformAddrRange

```cpp
inline constexpr PlatformAddrRange(
    PlatformAddr _lo,
    PlatformAddr _hi
)
```


### function PlatformAddrRange

```cpp
explicit PlatformAddrRange(
    IPRange range
)
```


### function operator==

```cpp
bool operator==(
    const PlatformAddrRange & other
) const
```


### function operator!=

```cpp
bool operator!=(
    const PlatformAddrRange & other
) const
```


## Public Attributes Documentation

### variable lo

```cpp
PlatformAddr lo;
```


### variable hi

```cpp
PlatformAddr hi;
```


-------------------------------

Updated on 2023-02-24 at 15:57:36 +0000